be.ehealth.businessconnector.ehbox.v3.builders.impl

## Class ConsultationMessageBuilderImpl

- java.lang.Object
- - be.ehealth.businessconnector.ehbox.v3.builders.impl.ConsultationMessageBuilderImpl

- All Implemented Interfaces:
    ConsultationMessageBuilder

      public class ConsultationMessageBuilderImpl
      extends Object
      implements ConsultationMessageBuilder

  Implementation of `ConsultationMessageBuilder`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultationMessageBuilderImpl()`
    `ConsultationMessageBuilderImpl(Crypto crypto)` Deprecated. Do not user crypto

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Message<GetFullMessageResponse>` | `buildFullMessage(GetFullMessageResponse response)`
    `Message<Message>` | `buildMessage(Message response)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultationMessageBuilderImpl

          @Deprecated
          public ConsultationMessageBuilderImpl(Crypto crypto)

      Deprecated. Do not user crypto
      creates a new `ConsultationFullMessageBuilder`.
      Parameters:
        `crypto` -

    - #### ConsultationMessageBuilderImpl

          public ConsultationMessageBuilderImpl()

  - ### Method Detail

    - #### buildFullMessage

          public Message<GetFullMessageResponse> buildFullMessage(GetFullMessageResponse response)
                                                           throws EhboxBusinessConnectorException,
                                                                  TechnicalConnectorException

      Specified by:
        `buildFullMessage` in interface `ConsultationMessageBuilder`
      Returns:
        the built full message
      Throws:
        `EhboxBusinessConnectorException`
        `TechnicalConnectorException`
      See Also:
        `ConsultationMessageBuilder.buildFullMessage(be.fgov.ehealth.ehbox.consultation.protocol.v3.GetFullMessageResponse)`

    - #### buildMessage

          public Message<Message> buildMessage(Message response)
                                        throws TechnicalConnectorException,
                                               EhboxBusinessConnectorException

      Specified by:
        `buildMessage` in interface `ConsultationMessageBuilder`
      Returns:
        the built message
      Throws:
        `TechnicalConnectorException`
        `EhboxBusinessConnectorException`
      See Also:
        `ConsultationMessageBuilder.buildMessage(be.fgov.ehealth.ehbox.consultation.protocol.v3.Message)`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.